const app = Vue.createApp({
    data() {
        return {
            time: new Date(),
            hour: "Loading...", // 読み込み時のメッセージ
            minutes: "Loading...",
            hour_link: "img/loading.png", // 読み込み時の画像
            minutes_link: "img/loading.png"
        }
    },
    methods: {
        update() {
            this.time = new Date(); // 現在時刻を取得
            this.hour = this.time.getHours() + "時"; // 時刻に単位を追加してhour, minutesに代入
            this.minutes = this.time.getMinutes() + "分";
            this.hour_link = "img/hour/hour_" + this.time.getHours() + ".png"; // 画像のパスをhour_link, minutes_linkに代入
            this.minutes_link = "img/minutes/minutes_" + this.time.getMinutes() + ".png";
        }
    },
    mounted() {
        setInterval(this.update, 1000); // 1秒ごとにupdate()を実行
    }
});
app.mount('#nai-clock');